com.r3corda.core.node.services.testing / MockTransactionStorage

# MockTransactionStorage

`open class MockTransactionStorage : TransactionStorage`

### Constructors

<init> | `MockTransactionStorage()`

### Properties

updates | `open val updates: <ERROR CLASS><SignedTransaction>` Get a synchronous Observable of updates. When observations are pushed to the Observer, the Wallet will already incorporate the update.

### Functions

addTransaction | `open fun addTransaction(transaction: SignedTransaction): Unit` Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.
getTransaction | `open fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.